edu.sc.seis.sod.process.waveform

## Class SeismogramOR

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.ForkProcess
  - - edu.sc.seis.sod.process.waveform.SeismogramOR

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter, Threadable

      public class SeismogramOR
      extends ForkProcess

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.process.waveform.ForkProcess

      `localSeisProcessList, packages`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeismogramOR(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Forks the processing off the LocalSeismograms.

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.ForkProcess

      `copySeismograms, createSubsetter, doAND, getWrappedProcessors, isThreadSafe, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SeismogramOR

          public SeismogramOR(org.w3c.dom.Element config)
                       throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Description copied from class: `ForkProcess`
      Forks the processing off the LocalSeismograms. The processes that are contained in this tag are processed, but the return value off the process method is the original seismograms. This allows, for example to process both a original and a filtered version of the seismograms independently.
      Specified by:
        `accept` in interface `WaveformProcess`
      Overrides:
        `accept` in class `ForkProcess`
      Throws:
        `java.lang.Exception`